Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.matrix.impl
Class FormerFactory

    java.lang.Object
      cern.colt.matrix.impl.FormerFactory

public class FormerFactory
extends Object

Factory producing implementations of `Former` via method create(); Implementations of can use existing libraries such as corejava.PrintfFormat or corejava.Format or other. Serves to isolate the interface of String formatting from the actual implementation. If you want to plug in a different String formatting implementation, simply replace this class with your alternative.

Version:
  1.0, 21/07/00

Constructor Summary
`FormerFactory()`

Method Summary
`Former` | `create(String format)` Constructs and returns a new format instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormerFactory

    public FormerFactory()

Method Detail

### create

    public Former create(String format)

  Constructs and returns a new format instance.

  Throws:
    `IllegalArgumentException` - if bad format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage